Store APIsCategories
List categories
Returns a list of product categories on the store. Requires the CATEGORIES_READ scope.
AuthorizationBearer <token>
Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.
In: header
Path Parameters
storeId*string
Length
12 <= length <= 48Query Parameters
page?integer
Range
1 <= valueDefault
1limit?integer
Range
1 <= value <= 100Default
25search?string
Length
length <= 128parentId?string
Length
12 <= length <= 48featured?boolean
isFavourite?boolean
isArchived?boolean
sortBy?|||
sortOrder?|
Header Parameters
idempotency-key?string
Length
8 <= length <= 32Response Body
application/json
application/json
curl -X GET "https://example.com/stores/stringstring/categories/"{ "ok": true, "data": { "items": [ { "id": "ctg_4tzcbfp2v8q1mzwxj5h0r1n", "name": "Plans", "slug": "plans", "description": "Subscription plans for the platform.", "parentId": null, "displayOrder": 0, "icon": null, "metaTitle": null, "metaDescription": null, "showInNavigation": true, "featured": false, "isFavourite": false, "isArchived": false, "createdAt": "2026-05-01T10:00:00.000Z", "updatedAt": "2026-05-01T10:00:00.000Z" } ], "pagination": { "page": 1, "limit": 25, "total": 1, "totalPages": 1 } }}